import { _decorator, Component, Node } from "cc";
import BaseUI from "../../scripts/base/BaseUI";
const { ccclass, property } = _decorator;

@ccclass("HistoryItem")
export class HistoryItem extends BaseUI {
  init(desc: string, valueString: string, time: string) {
    let ddd = desc || "";
    ddd = ddd.replace("T", " ");
    ddd = ddd.substring(0, 16);
    this.setText("lbl_desc", ddd);
    this.setText("lbl_value", valueString || "null");
    this.setText("lbl_time", time.substring(0, 16));
  }
}
